GDB (xrefs)

Public Attributes | List of all members
s390_unwind_cache Struct Reference

## Public Attributes
CORE_ADDR | func
CORE_ADDR | frame_base
CORE_ADDR | local_base
struct trad_frame_saved_reg * | saved_regs

## Detailed Description

Definition at line 2094 of file s390-linux-tdep.c.

## Member Data Documentation

## ◆ frame_base

CORE_ADDR s390_unwind_cache::frame_base

Definition at line 2097 of file s390-linux-tdep.c.

Referenced by s390_backchain_frame_unwind_cache(), s390_frame_base_address(), s390_frame_this_id(), s390_frame_unwind_cache(), and s390_prologue_frame_unwind_cache().

## ◆ func

CORE_ADDR s390_unwind_cache::func

Definition at line 2096 of file s390-linux-tdep.c.

Referenced by s390_backchain_frame_unwind_cache(), s390_frame_this_id(), s390_frame_unwind_cache(), and s390_prologue_frame_unwind_cache().

## ◆ local_base

CORE_ADDR s390_unwind_cache::local_base

Definition at line 2098 of file s390-linux-tdep.c.

Referenced by s390_backchain_frame_unwind_cache(), s390_frame_unwind_cache(), s390_local_base_address(), and s390_prologue_frame_unwind_cache().

## ◆ saved_regs

struct trad_frame_saved_reg* s390_unwind_cache::saved_regs

Definition at line 2100 of file s390-linux-tdep.c.

Referenced by s390_backchain_frame_unwind_cache(), s390_frame_prev_register(), s390_frame_unwind_cache(), and s390_prologue_frame_unwind_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/s390-linux-tdep.c